## GimpColorSelector GimpColorSelector — Pluggable GIMP color selector modules. |

## Functions

GtkWidget * | gimp_color_selector_new ()
void | gimp_color_selector_set_toggles_visible ()
void | gimp_color_selector_set_toggles_sensitive ()
void | gimp_color_selector_set_show_alpha ()
void | gimp_color_selector_set_color ()
void | gimp_color_selector_set_channel ()
void | gimp_color_selector_color_changed ()
void | gimp_color_selector_channel_changed ()
void | gimp_color_selector_set_config ()

## Signals

void | channel-changed | Run First
void | color-changed | Run First

## Types and Values

| GimpColorSelector
#define | GIMP_COLOR_SELECTOR_SIZE
#define | GIMP_COLOR_SELECTOR_BAR_SIZE
enum | GimpColorSelectorChannel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpColorSelector
                                ├── GimpColorNotebook
                                ├── GimpColorScales
                                ╰── GimpColorSelect

## Implemented Interfaces

GimpColorSelector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

Functions and definitions for creating pluggable GIMP color selector modules.

## Functions

### gimp_color_selector_new ()

    GtkWidget *
    gimp_color_selector_new (GType selector_type,
                             const GimpRGB *rgb,
                             const GimpHSV *hsv,
                             GimpColorSelectorChannel channel);

#### Returns

### gimp_color_selector_set_toggles_visible ()

    void
    gimp_color_selector_set_toggles_visible
                                   (GimpColorSelector *selector,
                                    gboolean visible);

### gimp_color_selector_set_toggles_sensitive ()

    void
    gimp_color_selector_set_toggles_sensitive
                                   (GimpColorSelector *selector,
                                    gboolean sensitive);

### gimp_color_selector_set_show_alpha ()

    void
    gimp_color_selector_set_show_alpha (GimpColorSelector *selector,
                                        gboolean show_alpha);

### gimp_color_selector_set_color ()

    void
    gimp_color_selector_set_color (GimpColorSelector *selector,
                                   const GimpRGB *rgb,
                                   const GimpHSV *hsv);

### gimp_color_selector_set_channel ()

    void
    gimp_color_selector_set_channel (GimpColorSelector *selector,
                                     GimpColorSelectorChannel channel);

### gimp_color_selector_color_changed ()

    void
    gimp_color_selector_color_changed (GimpColorSelector *selector);

### gimp_color_selector_channel_changed ()

    void
    gimp_color_selector_channel_changed (GimpColorSelector *selector);

### gimp_color_selector_set_config ()

    void
    gimp_color_selector_set_config (GimpColorSelector *selector,
                                    GimpColorConfig *config);

Sets the color management configuration to use with this color selector.

#### Parameters

selector | a GimpColorSelector widget. |
config | a GimpColorConfig object. |

Since GIMP 2.4

## Types and Values

### GimpColorSelector

    typedef struct _GimpColorSelector GimpColorSelector;

### GIMP_COLOR_SELECTOR_SIZE

    #define GIMP_COLOR_SELECTOR_SIZE     150

The suggested size for a color area in a GimpColorSelector implementation.

### GIMP_COLOR_SELECTOR_BAR_SIZE

    #define GIMP_COLOR_SELECTOR_BAR_SIZE 15

The suggested width for a color bar in a GimpColorSelector implementation.

### enum GimpColorSelectorChannel

An enum to specify the types of color channels edited in GimpColorSelector widgets.

#### Members

GIMP_COLOR_SELECTOR_HUE | the hue channel |
GIMP_COLOR_SELECTOR_SATURATION | the saturation channel |
GIMP_COLOR_SELECTOR_VALUE | the value channel |
GIMP_COLOR_SELECTOR_RED | the red channel |
GIMP_COLOR_SELECTOR_GREEN | the green channel |
GIMP_COLOR_SELECTOR_BLUE | the blue channel |
GIMP_COLOR_SELECTOR_ALPHA | the alpha channel |

## Signal Details

### The `“channel-changed”` signal

    void
    user_function (GimpColorSelector *gimpcolorselector,
                   gint               arg1,
                   gpointer           user_data)

#### Parameters

gimpcolorselector | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“color-changed”` signal

    void
    user_function (GimpColorSelector *gimpcolorselector,
                   gpointer           arg1,
                   gpointer           arg2,
                   gpointer           user_data)

#### Parameters

gimpcolorselector | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GModule, GTypeModule, GimpModule